Index: /branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_pra.F90
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_pra.F90	(revision 8816)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_pra.F90	(revision 8817)
@@ -12,5 +12,8 @@
    !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
-   !!   ice_dyn_adv_pra   : advection of sea ice using Prather scheme
+   !!   ice_dyn_adv_pra : advection of sea ice using Prather scheme
+   !!   adv_x, adv_y    : Prather scheme applied in i- and j-direction, resp.
+   !!   adv_pra_init    : initialisation of the Prather scheme
+   !!   adv_pra_rst     : read/write Prather field in ice restart file, or initialized to zero
    !!----------------------------------------------------------------------
    USE dom_oce        ! ocean domain
@@ -32,5 +35,4 @@
 
    ! Moments for advection
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)     ::   sxopw, syopw, sxxopw, syyopw, sxyopw   ! open water in sea ice
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   sxice, syice, sxxice, syyice, sxyice   ! ice thickness 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   sxsn , sysn , sxxsn , syysn , sxysn    ! snow thickness
@@ -39,8 +41,9 @@
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   sxsal, sysal, sxxsal, syysal, sxysal   ! ice salinity
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   sxage, syage, sxxage, syyage, sxyage   ! ice age
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)     ::   sxopw, syopw, sxxopw, syyopw, sxyopw   ! open water in sea ice
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) ::   sxe  , sye  , sxxe  , syye  , sxye     ! ice layers heat content
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   sxap , syap , sxxap , syyap , sxyap    ! melt pond fraction
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   sxvp , syvp , sxxvp , syyvp , sxyvp    ! melt pond volume
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:,:) ::   sxe  , sye  , sxxe  , syye  , sxye     ! ice layers heat content
-   !
+
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
@@ -262,4 +265,5 @@
    END SUBROUTINE ice_dyn_adv_pra
    
+   
    SUBROUTINE adv_x( pdf, put , pcrh, psm , ps0 ,   &
       &              psx, psxx, psy , psyy, psxy )
@@ -608,4 +612,5 @@
    END SUBROUTINE adv_y
 
+
    SUBROUTINE adv_pra_init
       !!-------------------------------------------------------------------
@@ -616,4 +621,6 @@
       INTEGER ::   ierr
       !!-------------------------------------------------------------------
+      !
+      !                             !* allocate prather fields
       ALLOCATE( sxopw(jpi,jpj)     , syopw(jpi,jpj)     , sxxopw(jpi,jpj)     , syyopw(jpi,jpj)     , sxyopw(jpi,jpj)     ,   &
          &      sxice(jpi,jpj,jpl) , syice(jpi,jpj,jpl) , sxxice(jpi,jpj,jpl) , syyice(jpi,jpj,jpl) , sxyice(jpi,jpj,jpl) ,   &
@@ -632,7 +639,8 @@
       IF( ierr /= 0 )   CALL ctl_stop('STOP', 'adv_pra_init : unable to allocate ice arrays for Prather advection scheme')
       !
-      CALL adv_pra_rst( 'READ' )  !* read or initialize all required files
+      CALL adv_pra_rst( 'READ' )    !* read or initialize all required files
       !
    END SUBROUTINE adv_pra_init
+
 
    SUBROUTINE adv_pra_rst( cdrw, kt )
